Sites
Create a collection item
Creates a draft (or ARCHIVED). `publish` true also puts it live. Counts toward the plan's items-per-site limit.
Creates a draft (or ARCHIVED). publish true also puts it live. Counts toward the plan's items-per-site limit.
x-api-key<token>
In: header
Path Parameters
siteId*string
collectionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sites/string/collections/string/items" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "data": { "name": "string" } }'{ "data": { "id": "string", "collectionId": "string", "slug": "string", "status": "DRAFT", "name": "string", "data": { "name": "string" }, "seo": { "title": "string", "description": "string", "ogImage": "string", "noindex": true, "schemaType": "WebPage", "publishedAt": "string" }, "publishedSlug": "string", "publishedAt": "2019-08-24T14:15:22Z", "hasUnpublishedChanges": true, "sortOrder": 0, "contentVersion": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs